Bug 40582 - Remote connections not working after configuring sendmail.mc
Summary: Remote connections not working after configuring sendmail.mc
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-14 19:54 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 15:20:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-14 19:54:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
After I made the recomended changes(from release notes) in sendmail.mc 
DAEMON_OPTIONS('Port=smtp, Addr=127.0.0.1, Name=MTA')
to DAEMON_OPTIONS('Port=smtp, Addr=63.226.81.11, Name=MTA')
and regenerated the sendmail.cf file with the command

m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

I then restarted the daemon to initialize the new settings but
the system still will not allow remote hosts to check mail.
Am I doing something wrong? or is this a configuration problem with other 
portions of sendmail


How reproducible:
Always

Steps to Reproduce:
1. make changes in sendmail.mc as above
2. Regenerate sendmail.cf as above
3. Check mail with a remote email client
	

Actual Results:  Client returned this message when checking that serverThe 
connection to the server has failed. Account: 'Dave Nelson', 
Server: '63.226.81.11', Protocol: POP3, Port: 110, Secure(SSL): No, Socket 
Error: 10060, Error Number: 0x800CCC0E

have tried settings in client with both IP address and FQDN


Expected Results:  remotely check mail

Additional info:

If I am doing something wrong is there any documentation on how to fix 
this? I have never had to do this before to setup an email server.

Comment 1 Florian La Roche 2001-05-15 16:15:31 UTC
You want to access your server with pop3. Look into enabling a pop3 server, as
sendmail
only accepts email, but does not offer pop3 connections.




Note You need to log in before you can comment on or make changes to this bug.